2019-04-02 13:46:57 +02:00
|
|
|
--- applets/install.sh
|
|
|
|
+++ applets/install.sh 2019/03/29 09:03:34
|
|
|
|
@@ -1,11 +1,11 @@
|
|
|
|
-#!/bin/sh
|
|
|
|
+#!/usr/bin/busybox sh
|
|
|
|
|
|
|
|
export LC_ALL=POSIX
|
|
|
|
export LC_CTYPE=POSIX
|
2012-08-01 16:17:18 +02:00
|
|
|
|
|
|
|
prefix=$1
|
|
|
|
if [ -z "$prefix" ]; then
|
2019-04-02 13:46:57 +02:00
|
|
|
- echo "usage: applets/install.sh DESTINATION TYPE [OPTS ...]"
|
|
|
|
+ echo "usage: busybox.install DESTINATION TYPE [OPTS ...]"
|
|
|
|
echo " TYPE is one of: --symlinks --hardlinks --binaries --scriptwrapper --none"
|
|
|
|
echo " OPTS is one or more of: --cleanup --noclobber"
|
Accepting request 113102 from home:oertel:branches:openSUSE:Factory
- busybox-1.19.4-typedef_umode_t.patch:
fix compile as umode_t is only defined with KERNEL and is
used in header linux/linux/ext2_fs.h
- update to 1.19.4
- fix getty, mdev, modinfo and wget
- update to 1.19.3
- fix chpasswd, crond, inetd, syslogd, tail, tftp
- update to 1.19.2
- fix ash/hush, cttyhack, find, grep, less, patch, sed, top,
uncompress
- update to 1.19.0:
- countless fixes in all utility programs, please see
http://www.busybox.net/ for details
- remove obsolete patches previously marked as upstreamed
- busybox-1.19.4-typedef_umode_t.patch:
fix compile as umode_t is only defined with KERNEL and is
used in header linux/linux/ext2_fs.h
- update to 1.19.4
- fix getty, mdev, modinfo and wget
- update to 1.19.3
- fix chpasswd, crond, inetd, syslogd, tail, tftp
- update to 1.19.2
- fix ash/hush, cttyhack, find, grep, less, patch, sed, top,
uncompress
- update to 1.19.0:
- countless fixes in all utility programs, please see
http://www.busybox.net/ for details
OBS-URL: https://build.opensuse.org/request/show/113102
OBS-URL: https://build.opensuse.org/package/show/Base:System/busybox?expand=0&rev=18
2012-04-11 20:33:48 +02:00
|
|
|
exit 1
|
2019-04-02 13:46:57 +02:00
|
|
|
@@ -13,9 +13,9 @@
|
|
|
|
shift # Keep only remaining options
|
Accepting request 113102 from home:oertel:branches:openSUSE:Factory
- busybox-1.19.4-typedef_umode_t.patch:
fix compile as umode_t is only defined with KERNEL and is
used in header linux/linux/ext2_fs.h
- update to 1.19.4
- fix getty, mdev, modinfo and wget
- update to 1.19.3
- fix chpasswd, crond, inetd, syslogd, tail, tftp
- update to 1.19.2
- fix ash/hush, cttyhack, find, grep, less, patch, sed, top,
uncompress
- update to 1.19.0:
- countless fixes in all utility programs, please see
http://www.busybox.net/ for details
- remove obsolete patches previously marked as upstreamed
- busybox-1.19.4-typedef_umode_t.patch:
fix compile as umode_t is only defined with KERNEL and is
used in header linux/linux/ext2_fs.h
- update to 1.19.4
- fix getty, mdev, modinfo and wget
- update to 1.19.3
- fix chpasswd, crond, inetd, syslogd, tail, tftp
- update to 1.19.2
- fix ash/hush, cttyhack, find, grep, less, patch, sed, top,
uncompress
- update to 1.19.0:
- countless fixes in all utility programs, please see
http://www.busybox.net/ for details
OBS-URL: https://build.opensuse.org/request/show/113102
OBS-URL: https://build.opensuse.org/package/show/Base:System/busybox?expand=0&rev=18
2012-04-11 20:33:48 +02:00
|
|
|
|
2016-01-04 11:41:29 +01:00
|
|
|
# Source the configuration
|
2019-04-02 13:46:57 +02:00
|
|
|
-. ./.config
|
|
|
|
+#. ./.config
|
2016-01-04 11:41:29 +01:00
|
|
|
|
2007-01-16 00:06:26 +01:00
|
|
|
-h=`sort busybox.links | uniq`
|
|
|
|
+h=`sort /usr/share/busybox/busybox.links | uniq`
|
Accepting request 113102 from home:oertel:branches:openSUSE:Factory
- busybox-1.19.4-typedef_umode_t.patch:
fix compile as umode_t is only defined with KERNEL and is
used in header linux/linux/ext2_fs.h
- update to 1.19.4
- fix getty, mdev, modinfo and wget
- update to 1.19.3
- fix chpasswd, crond, inetd, syslogd, tail, tftp
- update to 1.19.2
- fix ash/hush, cttyhack, find, grep, less, patch, sed, top,
uncompress
- update to 1.19.0:
- countless fixes in all utility programs, please see
http://www.busybox.net/ for details
- remove obsolete patches previously marked as upstreamed
- busybox-1.19.4-typedef_umode_t.patch:
fix compile as umode_t is only defined with KERNEL and is
used in header linux/linux/ext2_fs.h
- update to 1.19.4
- fix getty, mdev, modinfo and wget
- update to 1.19.3
- fix chpasswd, crond, inetd, syslogd, tail, tftp
- update to 1.19.2
- fix ash/hush, cttyhack, find, grep, less, patch, sed, top,
uncompress
- update to 1.19.0:
- countless fixes in all utility programs, please see
http://www.busybox.net/ for details
OBS-URL: https://build.opensuse.org/request/show/113102
OBS-URL: https://build.opensuse.org/package/show/Base:System/busybox?expand=0&rev=18
2012-04-11 20:33:48 +02:00
|
|
|
|
2016-01-04 11:41:29 +01:00
|
|
|
sharedlib_dir="0_lib"
|
|
|
|
|
2019-04-02 13:46:57 +02:00
|
|
|
@@ -78,7 +78,7 @@
|
2012-08-01 16:17:18 +02:00
|
|
|
|
|
|
|
rm -f "$prefix/bin/busybox" || exit 1
|
|
|
|
mkdir -p "$prefix/bin" || exit 1
|
|
|
|
-install -m 755 busybox "$prefix/bin/busybox" || exit 1
|
|
|
|
+install -m 755 /usr/bin/busybox "$prefix/bin/busybox" || exit 1
|
|
|
|
|
|
|
|
for i in $h; do
|
|
|
|
appdir=`dirname "$i"`
|